import java.awt.*;
import java.io.*;

public class DrawLine extends Frame {

 MyCanvas canvas;

 public static void main(String args[]) {

 DrawLine dl = new DrawLine();
 dl.show();
 }

 public DrawLine() {
   super("X11 Draw Lines");

   canvas = new MyCanvas();
   canvas.setBackground(Color.blue);
   add("Center",canvas);
   canvas.resize(350,100);
   pack();
 }
}

class MyCanvas extends Canvas {

  static {
	    System.loadLibrary("xdraw");
  }

 public native void X11DrawLine(int winData,int x0, int y0, int x1, int y2);

 public void paint(Graphics g) {
  int pData = sun.awt.motif.MyCanvasPeer.pData(this);
  g.drawLine(5,5,350,100);
  try {
      X11DrawLine(pData, 350,0, 0, 100);
    } catch (java.lang.UnsatisfiedLinkError e) {
	System.out.println("Exception in X11DrawLine:" + e);
    }
 }
}
